<template>
  <div id="app">
    <div class="app-container">
      <div class="navbar">
        <router-link class="link" to="/board/">Перейти к доскам</router-link>
        <router-link class="link" to="/">Главная</router-link>
        <router-link
            v-if="$route.path !== '/auth' && !$store.state.authorized"
            class="link"
            to="/auth"
        >Авторизация
        </router-link>
      </div>
      <router-view class="router-view-container"/>
    </div>
  </div>
</template>

<script>
import {mapGetters} from "vuex";

export default {
  name: "App",
  computed: {
    ...mapGetters({
      authorized: "getAuthStatus",
    }),
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  height: 100vh;
  width: 100vw;
}

.app-container {
  width: 100vw;
  height: 100vh;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.router-view-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.navbar {
  display: flex;
  align-items: center;
  height: 40px;
  width: 100%;
}

body {
  margin: 0;
  padding: 0;
}

.link {
  text-decoration: none;
  color: black;
  margin: 0 40px;
}

.link:hover {
  cursor: pointer;
}
</style>
